var __require = /* @__PURE__ */ ((x) => typeof require !== "undefined" ? require : typeof Proxy !== "undefined" ? new Proxy(x, {
  get: (a, b) => (typeof require !== "undefined" ? require : a)[b]
}) : x)(function(x) {
  if (typeof require !== "undefined")
    return require.apply(this, arguments);
  throw Error('Dynamic require of "' + x + '" is not supported');
});

// packages/@code-like-a-carpenter/foundation-plugin-cloudformation/src/transforms.ts
async function applyTransforms(config, ir, template, nestedTemplates) {
  for (const transformModule of config.cloudformationTransforms) {
    const transform = await loadTransform(transformModule);
    await transform(ir, template, nestedTemplates);
  }
}
async function loadTransform(transformModule) {
  try {
    const { transform } = __require(transformModule);
    return transform;
  } catch (err) {
    const { transform } = await import(transformModule);
    return transform;
  }
}
export {
  applyTransforms
};
